import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-10 11:00
 */
export interface CrMsgLog{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 
    * @type { string }
    */
    msg?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
}
export class CrMsgLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get MSG(): FieldInfo{  
        return new FieldInfo('msg','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
}


